Skip to main content

Thumbnail

GET 

/qlibs/:qlibid/q/:qhit/rep/thumbnail

Produces an image from a fabric file.

Example Curl:

The file is calculated from the `offering` portion of the path. With the second element after `thumbnail` being the offering. In the example here the offering is default

curl -X POST "https://${URL}/qlibs/${LIB}/q/${QID}/rep/thumbnail/files/default/images/thumb.jpg?height=50&authorization=${TOKEN}"
-H 'Accept: image/gif'
If the offering contains meta with the following structure a watermark will be applied to the thumbnail:
sample meta assumed at the root of the meta tree or '/'
{
"image" : {
"offerings": {
"offering": {
"image_watermark" : {
"image" : { "/" : "./files/some-watermark.gif" },
"x" : 0.50,
"y" : 0.50,
"Height" : 0.6,
"opacity" : 1.0
}
}
}
}
}
The `image` key in the json can be a simple path or a link. link displayed above.
x and y are floats between 0 and 1 where 1.0,1.0 is the bottom right corner of the image
Height is a float between 0 and 1.0 where 1.0 indicates the full size of the watermark and operates as a scale
opacity defines the watermarks opacity. 0 is fully transparent and 1.0 is fully solid

Request

Responses

Image bytes